AUDIT_COMPARE_DNAME_(9)

NAME
audit_compare_dname_path - compare given dentry name with last component in given path. Return of 0 indicates a match.

SYNOPSIS

int audit_compare_dname_path(const char * dname, const char * path, int parentlen);

ARGUMENTS

dname
    dentry name that we're comparing

path
    full pathname that we're comparing

parentlen
    length of the parent if known. Passing in AUDIT_NAME_FULL here indicates that we must compute this value.

COPYRIGHT